List charts on a dashboard
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/dashboards/{dashboardId}/charts \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/dashboards/{dashboardId}/charts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/dashboards/{dashboardId}/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"dashboardId": "<string>",
"dashboardTabId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"chartType": "TABLE",
"sqlQuery": "<string>",
"drilldownSqlQuery": "<string>",
"databaseConnectionId": "<string>",
"xAxisProperty": "<string>",
"xAxisSecondaryProperty": "<string>",
"yAxisProperty": "<string>",
"staticContent": "<string>",
"layout": {
"x": 1,
"y": 1,
"width": 2,
"height": 2
},
"imageUrl": "<string>"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Dashboards
List charts on a dashboard
Lists all active (non-archived) charts on a dashboard, including the content of each chart’s latest version (name, SQL query, chart type, axes). Requires admin access to the organization. Results are paginated and ordered by creation date (newest first).
GET
/
api
/
public
/
organizations
/
{orgId}
/
dashboards
/
{dashboardId}
/
charts
List charts on a dashboard
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Query Parameters
Maximum number of items to return (1-100, default 50)
Required range:
1 <= x <= 100Cursor for pagination (ID of the last item from previous page)
Was this page helpful?
⌘I